%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/go-logr/logr
Version:                1.2.4

%gometa


%global common_description %{expand:
A simple logging interface for Go.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Simple logging interface for Go

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.4-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
